import { InjectionToken } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * Generated from: auth-status/auth.status.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_AUTH_STATUS = new InjectionToken('ACOUSTIC_TOKEN_AUTH_STATUS');

/**
 * @fileoverview added by tsickle
 * Generated from: component/component.registry.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Service to register components and get information about
 * registered components.
 * @record
 */
function ComponentRegistry() { }
if (false) {
    /**
     * Registers the type given a full spec
     * @param {?} aController
     * @param {?} aType
     * @param {?=} aLayoutModes
     * @return {?}
     */
    ComponentRegistry.prototype.registerType = function (aController, aType, aLayoutModes) { };
    /**
     * Registers the type and assumes that a decorator has specified the controller
     * @param {?} aType
     * @return {?}
     */
    ComponentRegistry.prototype.registerType = function (aType) { };
    /**
     * Registers the type and assumes that a decorator has specified the controller
     * @param {?} aType
     * @return {?}
     */
    ComponentRegistry.prototype.registerType = function (aType) { };
}
/**
 * Injection token for the component registry
 * @type {?}
 */
const ACOUSTIC_TOKEN_COMPONENT_REGISTRY = new InjectionToken('ACOUSTIC_TOKEN_COMPONENT_REGISTRY');

/**
 * @fileoverview added by tsickle
 * Generated from: component/component.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @record
 */
function ComponentResolver() { }
if (false) {
    /**
     * @param {?} aRenderingContext
     * @param {?=} aLayoutMode
     * @return {?}
     */
    ComponentResolver.prototype.resolveComponent = function (aRenderingContext, aLayoutMode) { };
}

/**
 * @fileoverview added by tsickle
 * Generated from: content/delivery.content.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_CONTENT_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_CONTENT_RESOLVER');
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_CONTENT_SEED = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_CONTENT_SEED');

/**
 * @fileoverview added by tsickle
 * Generated from: handlebars/handlebars.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_HANDLEBARS_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_HANDLEBARS_RESOLVER');

/**
 * @fileoverview added by tsickle
 * Generated from: info/wch.info.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the url config
 * @type {?}
 */
const ACOUSTIC_TOKEN_URL_CONFIG = new InjectionToken('ACOUSTIC_TOKEN_URL_CONFIG');
/**
 * URL to access the API layer
 *
 * Naming of this field according to the field in the rendering context
 *
 * \@example 'https://my.digitalexperience.ibm.com/api/345563cf-a83c-40e5-a065-1d6ff36b05c1'
 * \@example 'https://my.digitalexperience.ibm.com/api/345563cf-a83c-40e5-a065-1d6ff36b05c1/dxsites/mysite'
 * @type {?}
 */
const ACOUSTIC_TOKEN_API_URL = new InjectionToken('ACOUSTIC_TOKEN_API_URL');
/**
 * URL to access the delivery
 *
 * Naming of this field according to the field in the rendering context
 *
 * \@example 'https://my.digitalexperience.ibm.com/345563cf-a83c-40e5-a065-1d6ff36b05c1'
 * \@example 'https://my.digitalexperience.ibm.com/345563cf-a83c-40e5-a065-1d6ff36b05c1/dxsites/mysite'
 * @type {?}
 */
const ACOUSTIC_TOKEN_RESOURCE_URL = new InjectionToken('ACOUSTIC_TOKEN_RESOURCE_URL');
/**
 * URL that represents the base URL of the path based routing of the application. This prefix will be
 * preserved when generating and recognizing URLs. If this property is not configured, then it will be decoded
 * from the window location.
 *
 * \@example 'https://my.digitalexperience.ibm.com/345563cf-a83c-40e5-a065-1d6ff36b05c1'
 * \@example 'https://my.digitalexperience.ibm.com/345563cf-a83c-40e5-a065-1d6ff36b05c1/dxsites/mysite'
 * \@example 'https://my.external.example.com/'
 * @type {?}
 */
const ACOUSTIC_TOKEN_BASE_URL = new InjectionToken('ACOUSTIC_TOKEN_BASE_URL');

/**
 * @fileoverview added by tsickle
 * Generated from: layout-mapping/delivery.layout.mapping.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_LAYOUT_MAPPING_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_LAYOUT_MAPPING_RESOLVER');
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_LAYOUT_MAPPING_SEED = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_LAYOUT_MAPPING_SEED');

/**
 * @fileoverview added by tsickle
 * Generated from: layout/delivery.layout.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_LAYOUT_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_LAYOUT_RESOLVER');
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_LAYOUT_SEED = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_LAYOUT_SEED');

/**
 * @fileoverview added by tsickle
 * Generated from: layout/layout.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_LAYOUT_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_LAYOUT_RESOLVER');

/**
 * @fileoverview added by tsickle
 * Generated from: logger/logger.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/*
 * Token used for dependency injection of the logger.
 */
/** @type {?} */
const ACOUSTIC_TOKEN_LOGGER_FACTORY = new InjectionToken('WchLoggerFactory');
/*
 * Token used for dependency injection of the logger.
 */
/** @type {?} */
const ACOUSTIC_TOKEN_DYNAMIC_LOGGER_FACTORY = new InjectionToken('WchDynamicLoggerFactory');
/*
 * Token used for dependency injection of the logger service.
 */
/** @type {?} */
const ACOUSTIC_TOKEN_LOGGER_SERVICE = new InjectionToken('LoggerService');

/**
 * @fileoverview added by tsickle
 * Generated from: page/delivery.page.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_PAGE_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_PAGE_RESOLVER');
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_PAGE_SEED = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_PAGE_SEED');
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_ACTIVE_PAGE = new InjectionToken('ACOUSTIC_TOKEN_ACTIVE_PAGE');

/**
 * @fileoverview added by tsickle
 * Generated from: pre-rendering/pre.rendering.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the pre rendering service
 * @type {?}
 */
const ACOUSTIC_TOKEN_PRE_RENDERING_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_PRE_RENDERING_RESOLVER');

/**
 * @fileoverview added by tsickle
 * Generated from: protected-content/protected.content.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the protected content status
 * @type {?}
 */
const ACOUSTIC_TOKEN_PROTECTED_CONTENT = new InjectionToken('ACOUSTIC_TOKEN_PROTECTED_CONTENT');

/**
 * @fileoverview added by tsickle
 * Generated from: rendering/rendering.context.interceptor.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/*
 * Token used for dependency injection of the logger.
 */
/** @type {?} */
const ACOUSTIC_RC_INTERCEPTOR_TOKEN = '8453750A-4519-4184-840B-D490E909D23E';

/**
 * @fileoverview added by tsickle
 * Generated from: rendering/rendering.context.provider.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the rendering context provider
 * @type {?}
 */
const ACOUSTIC_TOKEN_RENDERING_CONTEXT_PROVIDER = new InjectionToken('ACOUSTIC_TOKEN_RENDERING_CONTEXT_PROVIDER');

/**
 * @fileoverview added by tsickle
 * Generated from: rendering/rendering.context.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the RenderingContextResolver
 * @type {?}
 */
const ACOUSTIC_TOKEN_RENDERING_CONTEXT_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_RENDERING_CONTEXT_RESOLVER');

/**
 * @fileoverview added by tsickle
 * Generated from: search/delivery.search.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the navigation service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_SEARCH_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_SEARCH_RESOLVER');

/**
 * @fileoverview added by tsickle
 * Generated from: seed/seed.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_SEED_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_SEED_RESOLVER');

/**
 * @fileoverview added by tsickle
 * Generated from: services/page/wch.page.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Service interface that allows to resolve a rendering context
 * given the page.
 * @record
 */
function AcNgPageService() { }
if (false) {
    /**
     * Resolves the rendering context given the url segments
     *
     * @param {?} aSegments - the segments
     *
     * @return {?} the observable of the rendering context or undefined if it could not be found
     */
    AcNgPageService.prototype.getRenderingContextByUrlSegments = function (aSegments) { };
    /**
     * Resolves the rendering context given the router
     *
     * @param {?} aRoute - the activated route
     *
     * @return {?} the observable of the rendering context or undefined if it could not be found
     */
    AcNgPageService.prototype.getRenderingContextByActivatedRoute = function (aRoute) { };
}
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_PAGE_SERVICE = new InjectionToken('ACOUSTIC_TOKEN_PAGE_SERVICE');

/**
 * @fileoverview added by tsickle
 * Generated from: services/window/window.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Create a new injection token for injecting the window into a component.
 * @type {?}
 */
const ACOUSTIC_TOKEN_WINDOW = new InjectionToken('ACOUSTIC_TOKEN_WINDOW');

/**
 * @fileoverview added by tsickle
 * Generated from: site/delivery.site.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the navigation service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_SITE_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_SITE_RESOLVER');

/**
 * @fileoverview added by tsickle
 * Generated from: type/delivery.type.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_TYPE_RESOLVER = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_TYPE_RESOLVER');
/**
 * Injection token for the page service
 * @type {?}
 */
const ACOUSTIC_TOKEN_DELIVERY_TYPE_SEED = new InjectionToken('ACOUSTIC_TOKEN_DELIVERY_TYPE_SEED');

/**
 * @fileoverview added by tsickle
 * Generated from: type/type.ref.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Captures all information required to instantiate a component based on its type
 * @record
 * @template T
 */
function ComponentTypeRef() { }
if (false) {
    /**
     * The actual angular type for the component
     * @type {?}
     */
    ComponentTypeRef.prototype.type;
    /**
     * Optionally a component factory resolver
     * @type {?|undefined}
     */
    ComponentTypeRef.prototype.resolver;
}

/**
 * @fileoverview added by tsickle
 * Generated from: type/type.ref.resolver.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Service that resolves a component type ref given a layout.
 * @record
 */
function ComponentTypeRefResolver() { }
if (false) {
    /**
     * Returns the type object based on the layout configuration
     *
     * \@param aLayout -   the layout object
     * \@param aLayoutMode - an optional layout mode, defaults to the default mode
     * \@return the type
     * @type {?}
     */
    ComponentTypeRefResolver.prototype.getTypeByLayout;
    /**
     * Optionally a weight for the resolver
     * @type {?|undefined}
     */
    ComponentTypeRefResolver.prototype.weight;
}
/**
 * A multi-provider token used for dependency injection of the {\@link ComponentTypeRefResolver}s.
 *
 * \@example
 * ```typescript
 * providers: [
 *   {
 *      provide: ACOUSTIC_TOKEN_COMPONENT_TYPE_REF_RESOLVERS,
 *      useClass: MyResolver,
 *      multi: true
 *   }
 * ]
 * ```
 *
 * @type {?}
 */
const ACOUSTIC_TOKEN_COMPONENT_TYPE_REF_RESOLVERS = new InjectionToken('ACOUSTIC_TOKEN_COMPONENT_TYPE_REF_RESOLVERS');

/**
 * @fileoverview added by tsickle
 * Generated from: utils/type.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: utils/weights.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @enum {number} */
const PROVIDER_WEIGHT = {
    MIN: Number.MIN_SAFE_INTEGER,
    LOW: 1000,
    MEDIUM: 2000,
    HEIGH: 3000,
    MAX: Number.MAX_SAFE_INTEGER,
};
PROVIDER_WEIGHT[PROVIDER_WEIGHT.MIN] = 'MIN';
PROVIDER_WEIGHT[PROVIDER_WEIGHT.LOW] = 'LOW';
PROVIDER_WEIGHT[PROVIDER_WEIGHT.MEDIUM] = 'MEDIUM';
PROVIDER_WEIGHT[PROVIDER_WEIGHT.HEIGH] = 'HEIGH';
PROVIDER_WEIGHT[PROVIDER_WEIGHT.MAX] = 'MAX';

/**
 * @fileoverview added by tsickle
 * Generated from: version.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Version and build number of the package
 * @type {?}
 */
const VERSION = { version: { major: '9', minor: '0', patch: '10076', branch: 'master' }, build: new Date(1585229427693) };
/**
 * Module name
 * @type {?}
 */
const MODULE = '@acoustic-content-sdk/ng-api';

/**
 * @fileoverview added by tsickle
 * Generated from: public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: acoustic-content-sdk-ng-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { ACOUSTIC_RC_INTERCEPTOR_TOKEN, ACOUSTIC_TOKEN_ACTIVE_PAGE, ACOUSTIC_TOKEN_API_URL, ACOUSTIC_TOKEN_AUTH_STATUS, ACOUSTIC_TOKEN_BASE_URL, ACOUSTIC_TOKEN_COMPONENT_REGISTRY, ACOUSTIC_TOKEN_COMPONENT_TYPE_REF_RESOLVERS, ACOUSTIC_TOKEN_DELIVERY_CONTENT_RESOLVER, ACOUSTIC_TOKEN_DELIVERY_CONTENT_SEED, ACOUSTIC_TOKEN_DELIVERY_LAYOUT_MAPPING_RESOLVER, ACOUSTIC_TOKEN_DELIVERY_LAYOUT_MAPPING_SEED, ACOUSTIC_TOKEN_DELIVERY_LAYOUT_RESOLVER, ACOUSTIC_TOKEN_DELIVERY_LAYOUT_SEED, ACOUSTIC_TOKEN_DELIVERY_PAGE_RESOLVER, ACOUSTIC_TOKEN_DELIVERY_PAGE_SEED, ACOUSTIC_TOKEN_DELIVERY_SEARCH_RESOLVER, ACOUSTIC_TOKEN_DELIVERY_SITE_RESOLVER, ACOUSTIC_TOKEN_DELIVERY_TYPE_RESOLVER, ACOUSTIC_TOKEN_DELIVERY_TYPE_SEED, ACOUSTIC_TOKEN_DYNAMIC_LOGGER_FACTORY, ACOUSTIC_TOKEN_HANDLEBARS_RESOLVER, ACOUSTIC_TOKEN_LAYOUT_RESOLVER, ACOUSTIC_TOKEN_LOGGER_FACTORY, ACOUSTIC_TOKEN_LOGGER_SERVICE, ACOUSTIC_TOKEN_PAGE_SERVICE, ACOUSTIC_TOKEN_PRE_RENDERING_RESOLVER, ACOUSTIC_TOKEN_PROTECTED_CONTENT, ACOUSTIC_TOKEN_RENDERING_CONTEXT_PROVIDER, ACOUSTIC_TOKEN_RENDERING_CONTEXT_RESOLVER, ACOUSTIC_TOKEN_RESOURCE_URL, ACOUSTIC_TOKEN_SEED_RESOLVER, ACOUSTIC_TOKEN_URL_CONFIG, ACOUSTIC_TOKEN_WINDOW, PROVIDER_WEIGHT, VERSION };
//# sourceMappingURL=acoustic-content-sdk-ng-api.js.map
